| OpenCV 3.4.3 Open Source Computer Vision

Classes | Public Member Functions | Static Public Member Functions | List of all members
cv::optflow::GPCForest< T > Class Template Reference
Optical Flow Algorithms

`#include "sparse_matching_gpc.hpp"`

Inheritance diagram for cv::optflow::GPCForest< T >:

## Public Member Functions
void | findCorrespondences (InputArray imgFrom, InputArray imgTo, std::vector< std::pair< Point2i, Point2i > > &corr, const GPCMatchingParams params=GPCMatchingParams()) const
| Find correspondences between two images. More...
void | read (const FileNode &fn) CV_OVERRIDE
| Reads algorithm parameters from a file storage. More...
void | train (GPCTrainingSamples &samples, const GPCTrainingParams params=GPCTrainingParams())
| Train the forest using one sample set for every tree. Please, consider using the next method instead of this one for better quality. More...
void | train (const std::vector< String > &imagesFrom, const std::vector< String > &imagesTo, const std::vector< String > &gt, const GPCTrainingParams params=GPCTrainingParams())
| Train the forest using individual samples for each tree. It is generally better to use this instead of the first method. More...
void | train (InputArrayOfArrays imagesFrom, InputArrayOfArrays imagesTo, InputArrayOfArrays gt, const GPCTrainingParams params=GPCTrainingParams())
void | write (FileStorage &fs) const CV_OVERRIDE
| Stores algorithm parameters in a file storage. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< GPCForest > | create ()
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Member Function Documentation

## § create()

template<int T>

static Ptr< GPCForest > cv::optflow::GPCForest< T >::create | ( |  | ) |
| inline static

## § read()

template<int T>

void cv::optflow::GPCForest< T >::read | ( | const FileNode & | fn | ) |
| inline virtual

Reads algorithm parameters from a file storage.

Reimplemented from cv::Algorithm.

## § train() [1/3]

template<int T>

void cv::optflow::GPCForest< T >::train | ( | GPCTrainingSamples & | samples,
|  | const GPCTrainingParams | params = `GPCTrainingParams()`
| ) |  |
| inline

Train the forest using one sample set for every tree. Please, consider using the next method instead of this one for better quality.

## § train() [2/3]

template<int T>

void cv::optflow::GPCForest< T >::train | ( | const std::vector< String > & | imagesFrom,
|  | const std::vector< String > & | imagesTo,
|  | const std::vector< String > & | gt,
|  | const GPCTrainingParams | params = `GPCTrainingParams()`
| ) |  |
| inline

Train the forest using individual samples for each tree. It is generally better to use this instead of the first method.

## § train() [3/3]

template<int T>

void cv::optflow::GPCForest< T >::train | ( | InputArrayOfArrays | imagesFrom,
|  | InputArrayOfArrays | imagesTo,
|  | InputArrayOfArrays | gt,
|  | const GPCTrainingParams | params = `GPCTrainingParams()`
| ) |  |
| inline

## § write()

template<int T>

void cv::optflow::GPCForest< T >::write | ( | FileStorage & | fs | ) | const
| inline virtual

Stores algorithm parameters in a file storage.

Reimplemented from cv::Algorithm.

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/optflow/include/opencv2/optflow/sparse_matching_gpc.hpp